Get the firm's network settings Run in API Explorer
Ask AI
Resolves every network setting's effective value for the acting firm, and whether the firm can currently edit it.
GET
/api/v1/firm/{firm_uuid}/network-settings
curl \
--request GET 'https://api.plannrcrm.com/api/v1/firm/6ff8f7f6-1eb3-3525-be4a-3932c805afed/network-settings' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"data": [
[
{
"key": "mandatory_firm_two_factor",
"label": "Mandatory firm 2FA",
"value": true,
"source": "network",
"source_firm": {
"uuid": "53f22fe4-3731-4cdc-aa12-e65bd0b15e52",
"name": "Harbour Wealth"
},
"owning_level": "network",
"lock_status": "overridable",
"editable": true,
"locked_message": "Mandatory firm 2FA is mandated by Network and cannot be changed for your firm."
}
]
]
}